Bug 967406 - foomatic included non-free file
Summary: foomatic included non-free file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic   
(Show other bugs)
Version: 18
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-05-27 04:36 UTC by mejiko
Modified: 2013-06-09 03:33 UTC (History)
2 users (show)

Fixed In Version: foomatic-4.0.9-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-09 03:33:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2013-05-27 04:36:47 UTC
Hello.

Src rpm is "foomatic-4.0.8-13.fc18.src.rpm".

foomatic included non-free scripts.


Files:

foomatic-filters-4.0.15/test/*.sh (tetapi.sh, tcm.sh, shfunc.sh, lsbfanc.sh)

This license is "All rights reserved (Except EULA)".EULA is not find.

I reserched this problem, this URI find. 
but Its non-free.


URI: 

http://tetworks.opengroup.org/tet/
https://lists.linuxfoundation.org/pipermail/lsb-discuss/2009-October/006187.html
https://lists.linuxfoundation.org/pipermail/lsb-discuss/2009-October/006190.html


Suggests:

1. remove non-free script and rebuild.
2. replace fedora free (acceptable licensed) files.
3. remove fedora repos.

Thanks.



Reference:

http://www.mail-archive.com/gnu-linux-libre@nongnu.org/msg01200.html

Comment 1 mejiko 2013-05-27 04:37:23 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Fedora Update System 2013-05-30 17:19:25 UTC
foomatic-4.0.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/foomatic-4.0.9-2.fc19

Comment 3 Fedora Update System 2013-05-31 18:11:40 UTC
Package foomatic-4.0.9-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing foomatic-4.0.9-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9751/foomatic-4.0.9-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-06-09 03:33:07 UTC
foomatic-4.0.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.